=== debian/control ===
Source: ros-humble-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-performance-test-fixture <!nocheck>, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-default-generators, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-default-runtime, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.
